<a
  mat-icon-button
  class="close-button"
  [mat-dialog-close]="true"
  matTooltip="{{ matTooltipClose }}"
>
  <mat-icon>close</mat-icon>
</a>
<h2 mat-dialog-title>{{ addRoleCard }}</h2>
<mat-dialog-content class="mat-typography">
  <form [formGroup]="roleForm">
    <mat-form-field>
      <input
        type="text"
        matInput
        required
        formControlName="name"
        placeholder="{{ 'roleNamePlaceholder' | translate }}"
      />
      <mat-error *ngIf="roleForm.controls['name'].hasError('required')">
        {{ requiredRoleName }}
      </mat-error>
    </mat-form-field>
    <mat-form-field>
      <input
        type="text"
        matInput
        formControlName="description"
        placeholder="{{ roleDescriptionPlaceholder }}"
      />
    </mat-form-field>
    <mat-form-field >
      <mat-label>{{ rolePermissionsLabel }}</mat-label>
      <mat-select class="list-permissions" formControlName="permissions"  multiple>
        <mat-optgroup *ngFor="let group of permissionsGroups" [label]="group.groupName">
          <mat-option *ngFor="let permission of group.permissions" [value]="permission.id">
            {{permission.name}}
          </mat-option>
        </mat-optgroup>
      </mat-select>
    </mat-form-field>

    <div align="end" fxLayoutGap="10px">
      <button
        mat-button
        (click)="Submit()"
        mat-flat-button
        color="warn"
        [disabled]="!roleForm.valid"
      >
        {{ 'addButton' | translate }}
      </button>
      <button class="canceled" mat-button (click)="closeDialog()">
        {{ 'cancelButton' | translate }}
      </button>
    </div>
  </form>
</mat-dialog-content>
